texlive[48109] Master/tlpkg/bin/tl-makeself-from-tlnet: (runme.sh):

commits+karl at tug.org commits+karl at tug.org
Fri Jun 29 00:44:42 CEST 2018


Revision: 48109
          http://tug.org/svn/texlive?view=revision&revision=48109
Author:   karl
Date:     2018-06-29 00:44:42 +0200 (Fri, 29 Jun 2018)
Log Message:
-----------
(runme.sh): copy xz*.exe for cygwin. Report from
Adam Maxwell, 27 Jun 2018 18:56:18.

Modified Paths:
--------------
    trunk/Master/tlpkg/bin/tl-makeself-from-tlnet

Modified: trunk/Master/tlpkg/bin/tl-makeself-from-tlnet
===================================================================
--- trunk/Master/tlpkg/bin/tl-makeself-from-tlnet	2018-06-28 21:16:56 UTC (rev 48108)
+++ trunk/Master/tlpkg/bin/tl-makeself-from-tlnet	2018-06-28 22:44:42 UTC (rev 48109)
@@ -25,7 +25,7 @@
 
 ARCHIVE=$TLNET/archive
 if test ! -d "$ARCHIVE"; then
-  echo "$0: subdirectory archive/ in $TLNET not found, aborting." >&2
+  echo "$0: Subdirectory archive/ in $TLNET not found, aborting." >&2
   exit 1
 fi
 
@@ -33,7 +33,7 @@
 NETRELEASE=`sed -n 's!^depend release/!!p' "$TLNET/tlpkg/texlive.tlpdb"`
 MINRELEASE=`sed -n 's!^depend minrelease/!!p' "$TLNET/tlpkg/texlive.tlpdb"`
 if test -z "$NETRELEASE" || test -z "$MINRELEASE"; then
-  echo "$0: could not find release or minrease from $TLNET/tlpkg/texlive.tlpdb"\
+  echo "$0: could not find (min)release in $TLNET/tlpkg/texlive.tlpdb, bye"\
   >&2; exit 1
 fi
 
@@ -144,10 +144,11 @@
   src_tlpobj=master/tlpkg/tlpobj
   tlpobjs=$src_tlpobj/$infrapkg.tlpobj
 
-  # for each platform directory of binaries
+  # for each installed directory of binaries
   for a in "$ROOT"/bin/*; do
     test -d "$a" || continue  # skip any cruft files
     b=`basename "$a"`         # just the architecture name
+    echo "$0: updating $a..."
 
     # add the tlpobjs for this platform to the list.
     tlpobjs="$tlpobjs $src_tlpobj/$infrapkg.$b.tlpobj"
@@ -155,8 +156,19 @@
     # install the bin dir for this platform.
     (cd bin && tar cf - "$b") | (cd "$ROOT/bin" && tar xf -) || exit 1
 
-    # copy the installer binaries; not everything provides wget.
-    cp installer/xz/xz."$b" "$t_xzdir/" || exit 1
+    # copy the xz binaries, sometimes with .exe, for Cygwin.
+    if test -r installer/xz/xz."$b"; then
+      cp installer/xz/xz."$b" "$t_xzdir/" || exit 1
+    elif test -r installer/xz/xz."$b".exe; then
+      cp installer/xz/xz."$b".exe "$t_xzdir/" || exit 1
+    else
+      echo "$0: no xz.$b[.exe] binary for $a in `pwd`/installer/xz." >&2
+      ls installer/xz >&2
+      exit 1
+    fi
+    #
+    # Cygwin (among others) does not need to provide wget, so don't
+    # worry about .exe here.
     test -r installer/wget/wget.$b \
       && { cp installer/wget/wget.$b "$t_wgetdir/" || exit 1; }
   done



More information about the tex-live-commits mailing list